import request from '@/utils/request'
// 货主提现列表
export function getListwithdrawal(data) {
  return request({
    url: '/hyCargoOwnerCapitalInfo/selectWithdrawal',
    method: 'get',
     params: data,
  })
}
// 货主银行流水列表
export function getListaccountstatement(data) {
  return request({
    url: '/hyCargoOwnerCapitalInfo/selectBankFlow',
    method: 'get',
     params: data,
  })
}
// 司机运费结算列表
export function getListdriverfreight(data) {
  return request({
    url: '/hyFreightSettlementInfo/selectFreightSettlement',
    method: 'get',
     params: data,
  })
}
// 垫付还款结算列表
export function getListpadsettleaccounts(data) {
  return request({
    url: '/repaymentInfo/selectAdvanceRepayment',
    method: 'get',
     params: data,
  })
}
// 统计报表利润图表
export function getListselectProfit(data) {
  return request({
    url: '/freightInfo/selectProfit',
    method: 'get',
     params: data,
  })
}
// 统计报表利润柱状图
export function getListexpenses(data) {
  return request({
    url: '/freightInfo/selectSettledExpenses',
    method: 'get',
     params: data,
  })
}
// 货主提现批量审核
export function batchAduit(data) {
  return request({
    url: '/hyCargoOwnerCapitalInfo/api/examineList',
    method: 'post',
     data: data,
  })
}
// 司机运费结算暂缓支付
export function deferpay(data) {
  return request({
    url: '/hyFreightSettlementInfo/api/deferredPayment',
    method: 'post',
     data: data,
  })
}

// 司机运费结算批量付款
export function batchpay(data) {
  return request({
    url: '/hyFreightSettlementInfo/api/paymentList',
    method: 'post',
     data: data,
  })
}